View a markdown version of this page

BatchDeleteDatasetDataSegments - AWS IoT SiteWise

BatchDeleteDatasetDataSegments

Deletes a batch of data segments from a session dataset. Deleting a data segment deletes the underlying time series data for the segment's time range.

Request Syntax

POST /datasets/datasetId/data-segments/batch-delete HTTP/1.1 Content-type: application/json { "clientToken": "string", "deleteDataSegmentEntries": [ { "endTimestamp": { "offsetInNanos": number, "timeInSeconds": number }, "startTimestamp": { "offsetInNanos": number, "timeInSeconds": number }, "timeSeriesId": "string" } ], "workspaceName": "string" }

URI Request Parameters

The request uses the following URI parameters.

datasetId

The ID of the session dataset from which to delete data segments.

Length Constraints: Fixed length of 36.

Pattern: ^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier that you provide to ensure that the request is idempotent. If you retry a request that completed successfully using the same client token, the retry succeeds without performing any further actions.

Type: String

Length Constraints: Minimum length of 36. Maximum length of 64.

Pattern: \S{36,64}

Required: No

deleteDataSegmentEntries

The list of data segment entries to delete.

Type: Array of DeleteDataSegmentEntry objects

Array Members: Minimum number of 1 item. Maximum number of 10 items.

Required: Yes

workspaceName

The name of the workspace that contains the dataset.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "datasetId": "string", "datasetVersion": "string", "errors": [ { "endTimestamp": { "offsetInNanos": number, "timeInSeconds": number }, "errorCode": "string", "errorMessage": "string", "startTimestamp": { "offsetInNanos": number, "timeInSeconds": number }, "timeSeriesId": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

datasetId

The ID of the dataset.

Type: String

Length Constraints: Fixed length of 36.

Pattern: ^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

datasetVersion

The version of the dataset after deletion.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 10.

Pattern: ^(0|([1-9]{1}\d*))$

errors

A list of data segment deletions that failed.

Type: Array of FailedDataSegmentDeletion objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

ConflictingOperationException

Your request has conflicting operations. This can occur if you're trying to perform more than one operation on the same resource at the same time.

resourceArn

The ARN of the resource that conflicts with this operation.

resourceId

The ID of the resource that conflicts with this operation.

HTTP Status Code: 409

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: